Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.notice
Class FileNotice

    java.lang.Object
      rendsite.notice.FileNotice

Direct Known Subclasses:
  FileNotice_ChangeFile, FileNotice_Notifier

    public abstract class FileNotice

extends java.lang.Object

Send file notices.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary
`static java.lang.String` | `ATTR_FILE_PATH`
`protected things.thinger.io.conduits.Conduit` | `conduit`
`static int` | `FILE_CHANGE_CHANGE_DELETE`
`static int` | `FILE_CHANGE_CHANGE_FAILED`
`static int` | `FILE_CHANGE_CHANGED`
`static things.thinger.io.conduits.ConduitID` | `fileChangeConduit` All file changes should be submitted to this conduit.

Constructor Summary
`FileNotice(things.thinger.io.conduits.ConduitController controller, things.common.WhoAmI id)` Set up a file notice.

Method Summary
`abstract void` | `dispose()` Dispose the notifier or sink.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_CHANGE_CHANGED

    public static final int FILE_CHANGE_CHANGED

See Also:
  Constant Field Values

### FILE_CHANGE_CHANGE_FAILED

    public static final int FILE_CHANGE_CHANGE_FAILED

See Also:
  Constant Field Values

### FILE_CHANGE_CHANGE_DELETE

    public static final int FILE_CHANGE_CHANGE_DELETE

See Also:
  Constant Field Values

### ATTR_FILE_PATH

    public static final java.lang.String ATTR_FILE_PATH

See Also:
  Constant Field Values

### fileChangeConduit

    public static final things.thinger.io.conduits.ConduitID fileChangeConduit

  All file changes should be submitted to this conduit.

### conduit

    protected things.thinger.io.conduits.Conduit conduit

Constructor Detail

### FileNotice

    public FileNotice(things.thinger.io.conduits.ConduitController controller,
                      things.common.WhoAmI id)
               throws java.lang.Throwable

  Set up a file notice. It needs access to the conduit controller and a given ID.

  Parameters:
    `controller` -
    `id` -
  Throws:
    `java.lang.Throwable`

Method Detail

### dispose

    public abstract void dispose()
                          throws java.lang.Throwable

  Dispose the notifier or sink. Generally, you'll have to do this yourself instead of relying on finalization, since the conduits will hold references to these objects. The implementation should deregister from the conduit controller.

  Throws:
    `java.lang.Throwable` - for any problem. The should all be FAULTS.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.